package com.dev.swms.server.model.interfaceLog;

import java.util.Date;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

import com.dev.energy.server.model.Entity;


public class InterfaceLog extends Entity {
	
	private static final long serialVersionUID = 1L;	  
    private String type;  			//业务类型
    private String function; 		//处理方式
    private String fromSYS;			//接口发送方
    private String request; 		//发送方代码
    private Date requestTime; 		//发送时间e
    private String requestContent; 	//发送内容
    private String toSYS;			//接口接收方
    private String response; 		//响应方代码 
    private Date responseTime; 		//响应时间
	private String responseContent;	//响应内容
	private Date dealTime; 			//处理时间
	private String status; 			//业务状态
	private String fileType;		//文件类型
	private String fileName;		//文件名
	private String reference;		//参考值
	private Long logID;				//消息发送方接口日志ID
	private String errorLog;		//消息处理结果
	private String str1;		//工位
	private String str2;		//机型
	private String str3;		//机型名称
	private String str4;		//机号
	private String str5;		//
	
	
	public String getStr1() {
		return str1;
	}

	public void setStr1(String str1) {
		this.str1 = str1;
	}

	public String getStr2() {
		return str2;
	}

	public void setStr2(String str2) {
		this.str2 = str2;
	}

	public String getStr3() {
		return str3;
	}

	public void setStr3(String str3) {
		this.str3 = str3;
	}

	public String getStr4() {
		return str4;
	}

	public void setStr4(String str4) {
		this.str4 = str4;
	}

	public String getStr5() {
		return str5;
	}

	public void setStr5(String str5) {
		this.str5 = str5;
	}

	public InterfaceLog(){};

	public String getFromSYS() {
		return fromSYS;
	}
	public void setFromSYS(String fromSYS) {
		this.fromSYS = fromSYS;
	}
	public String getToSYS() {
		return toSYS;
	}
	public void setToSYS(String toSYS) {
		this.toSYS = toSYS;
	}
	public String getErrorLog() {
		return errorLog;
	}
	public void setErrorLog(String errorLog) {
		this.errorLog = errorLog;
	}
	public Long getLogID() {
		return logID;
	}
	public void setLogID(Long logID) {
		this.logID = logID;
	}
	public String getReference() {
		return reference;
	}
	public void setReference(String reference) {
		this.reference = reference;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public Date getDealTime() {
		return dealTime;
	}
	public void setDealTime(Date dealTime) {
		this.dealTime = dealTime;
	}
	public String getRequest() {
		return request;
	}
	public void setRequest(String request) {
		this.request = request;
	}
	public String getRequestContent() {
		return requestContent;
	}
	public void setRequestContent(String requestContent) {
		this.requestContent = requestContent;
	}
	public Date getRequestTime() {
		return requestTime;
	}
	public void setRequestTime(Date requestTime) {
		this.requestTime = requestTime;
	}
	public String getResponse() {
		return response;
	}
	public void setResponse(String response) {
		this.response = response;
	}
	public String getResponseContent() {
		return responseContent;
	}
	public void setResponseContent(String responseContent) {
		this.responseContent = responseContent;
	}
	public Date getResponseTime() {
		return responseTime;
	}
	public void setResponseTime(Date responseTime) {
		this.responseTime = responseTime;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getFunction() {
		return function;
	}

	public void setFunction(String function) {
		this.function = function;
	}

	public boolean equals(final Object other) {
		if (!(other instanceof InterfaceLog))
			return false;
		InterfaceLog castOther = (InterfaceLog) other;
		return new EqualsBuilder().append(request, castOther.getRequest())
				.append(requestTime, castOther.getRequestTime())
				.append(response, castOther.getResponse())
				.append(responseTime, castOther.getResponseTime())
				.isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().append(request).append(requestTime).append(response).append(responseTime).toHashCode();
	}
}